<template>
  <div class="custom-panel-div">

    <v-col>
      <v-row>
        <h1 style="font-size: 18px;letter-spacing: -0.025em;color: #00468A;">
          Kullanıcı İşlemleri
        </h1>
      </v-row>
      <v-row>
        <h2 style="font-size: 14px;color: #5A5A5A;">Kullanıcı >
          Filtreleme - Listeleme - Ekleme</h2>
      </v-row>
    </v-col>

    <v-expansion-panels v-model="panel" :disabled="disabled" multiple>
      <custom-expansion-panel :items="items" />
    </v-expansion-panels>

    <div v-show="false">
      <UserList />
      <UserAdd />
      <UserFilter />
    </div>
  </div>
</template>
<script>
import CustomExpansionPanel from '@/components/custom-controller/CustomExpansionPanel.vue';
import UserList from '@/views/user/components/UserList.vue';
import UserAdd from '@/views/user/components/UserAdd.vue';
import UserFilter from '@/views/user/components/UserFilter.vue';

export default {
  components: {
    CustomExpansionPanel,
    UserList,
    UserAdd,
    UserFilter,
  },
  data() {
    return {
      panel: [0, 1],
      disabled: false,
      items: [
        {
          title: "Kullanıcı Detaylı Filtrele",
          isCustomInput: false,
          name: "",
          isCustomButton: false,
          customComponents: UserFilter,
        },
        {
          title: "Kullanıcı Listesi",
          isCustomInput: false,
          name: "",
          isCustomButton: false,
          customComponents: UserList,
        },
        {
          title: "Kullanıcı Ekle",
          isCustomInput: false,
          name: "",
          isCustomButton: false,
          customComponents: UserAdd,
        },
      ],
    };
  }
};
</script>
<style scoped>
@import url(../../assets/styles/user.css);
</style>